Page MenuHomePhabricator

UI language code and direction are applied to content in MobileFrontend
Closed, ResolvedPublic

Description

In desktop MediaWiki there's a clear separation between user interface language and content language. They can be different. For example, in Commons the content language is English, but many people browse it in other languages.

This is not done in MobileFrontend. This is especially apparent if the direction (ltr/rtl) of the user language is different from the content language.

To see the problem do this:

  1. Log in to http://meta.wikimedia.org .
  2. Go to preferences and change your language to Hebrew.
  3. Go to https://meta.m.wikimedia.org/wiki/Wikimedia_Forum .

Expected: The content of the page is supposed to be set to left-to-right direction.
Observed: The content of the page is right-to-left.

The attributes lang="he" dir="rtl" from <html> are applied to the whole page.

<div id="content"> should probably have lang="en" dir="ltr" (or whatever is needed according to the site's content language).


Version: unspecified
Severity: normal

Details

Reference
bz61258

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:03 AM
bzimport set Reference to bz61258.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Feb 12 2014, 9:31 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1700

Change 116538 had a related patch set uploaded by MaxSem:
Display content in its intended directionality

https://gerrit.wikimedia.org/r/116538

Change 116538 merged by jenkins-bot:
Display content in its intended directionality

https://gerrit.wikimedia.org/r/116538

  • Bug 62349 has been marked as a duplicate of this bug. ***
  • Bug 62351 has been marked as a duplicate of this bug. ***
Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM